Subject: RE: [Tsvwg] A question of Un-Ordered SCTP

From: "Williams, Jim" <[email-masked]>
Date: Tue, 11 Feb 2003 11:23:02 -0500

> -----Original Message-----
> From: Randall Stewart [mailto:[email-masked]]
> Sent: Tuesday, February 11, 2003 7:39 AM
> To: TSV WG list; SCTP Implementors
> Subject: [Tsvwg] A question of Un-Ordered SCTP
> 
> 
> Hi all:
> 
> In working with the RDDP adaption for SCTP one of the things
> my co-authors and I have discussed is the 16bit SSN number when
> sending a "unordered" message.
> 
> I have thought on this pro's/con's and would like to hear
> your feedback...
> 
> Currently the sender of a Unordered data chunk sets the
> SSN to 0 and the receiver of the Unordered data chunk ignores
> the contents of the field..

For SCTP to provide unordered but sequenced delivery seems like
a useful and constructive feature.  This would require that
a sequence number (rather than zero) is placed in SSN on transmit,
and and passed to application on receive.

This is exactly what RDDP requires, and seems like a general
mechanism that would have uses beyond RDDP.

The problem, is that it would be a change to SCTP, and RDDP
if it relied on this feature would not work with implementations
of SCTP that did not support it.  However it is a rather
trivial change to implementations that could be adopted
quite quickly.

On balance, I would support this change to SCTP provided there
is sentiment that this would be useful beyond just RDDP.